Loading...
Searching...
No Matches
fglmDelem Class Reference

`#include <fglm.h>`

## Public Member Functions

| fglmDelem (poly &m, fglmVector mv, int v)
| The new basis.
void | cleanup ()
BOOLEAN | isBasisOrEdge () const
void | newDivisor ()

## Data Fields

poly | monom
fglmVector | v
int | insertions
int | var

## Detailed Description

Definition at line 46 of file fglm.h.

## Constructor & Destructor Documentation

## fglmDelem()

fglmDelem::fglmDelem | ( | poly & | m,
|  | fglmVector | mv,
|  | int | v )

The new basis.

Definition at line 699 of file fglmzero.cc.

: v( mv ), insertions( 0 ), var( v )
{
monom= m;
m= NULL;
for ( int k = (currRing->N); k > 0; k-- )
if ( pGetExp( monom, k ) > 0 )
insertions++;
// Wir gehen davon aus, dass ein fglmDelem direkt bei der Erzeugung
// auch in eine Liste eingefuegt wird. Daher wird hier automatisch
// newDivisor aufgerufen ( v teilt ja m )
newDivisor();
}
m
int m
Definition cfEzgcd.cc:128
k
int k
Definition cfEzgcd.cc:99
fglmDelem::insertions
int insertions
Definition fglm.h:51
fglmDelem::v
fglmVector v
Definition fglm.h:50
fglmDelem::monom
poly monom
Definition fglm.h:49
fglmDelem::var
int var
Definition fglm.h:52
fglmDelem::newDivisor
void newDivisor()
Definition fglm.h:57
NULL
#define NULL
Definition omList.c:12
currRing
VAR ring currRing
Widely used global variable which specifies the current polynomial ring for Singular interpreter and ...
Definition polys.cc:13
pGetExp
#define pGetExp(p, i)
Exponent.
Definition polys.h:42

## Member Function Documentation

## cleanup()

void fglmDelem::cleanup | ( |  | ) |

Definition at line 713 of file fglmzero.cc.

{
if ( monom != NULL )
{
pLmDelete(&monom);
}
}
pLmDelete
#define pLmDelete(p)
assume p != NULL, deletes Lm(p)->coef and Lm(p)
Definition polys.h:77

## isBasisOrEdge()

BOOLEAN fglmDelem::isBasisOrEdge | ( |  | ) | const

inline

Definition at line 56 of file fglm.h.

{ return ( (insertions == 0) ? TRUE : FALSE ); }
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97

## newDivisor()

void fglmDelem::newDivisor | ( |  | ) |

inline

Definition at line 57 of file fglm.h.

{ insertions--; }

## Field Documentation

## insertions

int fglmDelem::insertions

Definition at line 51 of file fglm.h.

## monom

poly fglmDelem::monom

Definition at line 49 of file fglm.h.

## v

fglmVector fglmDelem::v

Definition at line 50 of file fglm.h.

## var

int fglmDelem::var

Definition at line 52 of file fglm.h.

The documentation for this class was generated from the following files:

- kernel/fglm/fglm.h
- kernel/fglm/fglmzero.cc